(function() {
  $(document).ready(function() {
    return $("#liquid-settings").submit(function(e) {
      var message;
      if ($('#settings_cms_escape_draft_html').is(':checked') && $('#settings_cms_escape_published_html').is(':checked')) {
        message = "Are you sure you want to escape all liquid drops output?\n\nPlease make sure that your developer portal works fine before\ncontinuing. Enabling the XSS protection is a one-way settings\nand can only be reverted by support.";
        if (!(confirm(message))) {
          return e.preventDefault();
        }
      }
    });
  });

}).call(this);
